#ifndef CONFIG_H
#define CONFIG_H

/* Define to 1 if you have the <arpa/inet.h> header file. */
#cmakedefine HAVE_ARPA_INET_H

/* Define to 1 if you have the <mysql/mysql.h> header file. */
#cmakedefine HAVE_MYSQL_MYSQL_H

/* Define to 1 if you have the <signal.h> header file. */
#cmakedefine HAVE_SIGNAL_H

/* Define to 1 if you have the <string.h> header file. */
#cmakedefine HAVE_STRING_H

/* Define to 1 if you have the <sys/socket.h> header file. */
#cmakedefine HAVE_SYS_SOCKET_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#cmakedefine HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/time.h> header file. */
#cmakedefine HAVE_SYS_TIME_H

/* Define to 1 if you have the <sys/types.h> header file. */
#cmakedefine HAVE_SYS_TYPES_H

/* Define to 1 if you have the <unistd.h> header file. */
#cmakedefine HAVE_UNISTD_H

/* Define to the read-only architecture-independent data directory. */
#cmakedefine SYSCONFDIR "${SYSCONFDIR}"

/* MySql database support enabled */
#cmakedefine USE_MYSQL

/* 64bit workaround enabled */
#cmakedefine WORKAROUND

/* smartbeatclientd version */
#define VERSION "${SMARTBEATVERSION}"

/* max size of the config maps and vectors */
#define MaxMapSize 50

/* max size of a query result string */
#define MaxQueryResultSize 10000

/* mas size of a custom command result */
#define MaxCustomCommandResult 8192

#endif